Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
Class GrailsPluginUtils

    java.lang.Object
      org.codehaus.groovy.grails.plugins.GrailsPluginUtils

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class GrailsPluginUtils

extends Object
implements groovy.lang.GroovyObject

Field Summary
`static Object` | `GRAILS_HOME`

Constructor Summary
`GrailsPluginUtils()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`static Object` | `clearCaches()`
`static Resource[]` | `getArtefactResources(String basedir)`
`static Resource[]` | `getArtefactResourcesForOne(String projectDir)`
`static Resource[]` | `getAvailableScripts(String grailsHome, String pluginDirPath, String basedir)`
`static Resource` | `getBasePluginDescriptor(String basedir)`
`static Resource` | `getDescriptorForPlugin(Resource pluginDir)`
`static String` | `getGlobalPluginsPath()`
`static List<Resource>` | `getImplicitPluginDirectories()`
`static List<Resource>` | `getImplicitPluginDirectories(String pluginDirPath)`
`static String` | `getLowerVersion(String pluginVersion)`
`groovy.lang.MetaClass` | `getMetaClass()`
`static groovy.util.slurpersupport.GPathResult` | `getMetadataForPlugin(Resource pluginDir)`
`static groovy.util.slurpersupport.GPathResult` | `getMetadataForPlugin(String pluginName)`
`static List<String>` | `getPluginBaseDirectories()`
`static List<String>` | `getPluginBaseDirectories(String pluginDirPath)`
`static PluginBuildSettings` | `getPluginBuildSettings()`
`static Resource[]` | `getPluginDescriptors(String basedir, String pluginsDirPath)`
`static Resource[]` | `getPluginDirectories()`
`static Resource[]` | `getPluginDirectories(String pluginDirPath)`
`static Resource` | `getPluginDirForName(String pluginName)`
`static Resource` | `getPluginDirForName(String pluginsDirPath, String pluginName)`
`static Resource[]` | `getPluginI18nDirectories()`
`static Resource[]` | `getPluginI18nDirectories(String pluginsDirPath)`
`static PluginInfo[]` | `getPluginInfos()`
`static PluginInfo[]` | `getPluginInfos(String pluginDirPath)`
`static Resource[]` | `getPluginJarFiles(String pluginsDirPath)`
`static Resource[]` | `getPluginLibDirectories(String pluginsDirPath)`
`static String` | `getPluginName(Class clazz)`
`static Resource[]` | `getPluginResourceBundles(String pluginDirPath)`
`static Resource[]` | `getPluginScripts(String pluginDirPath)`
`static Resource[]` | `getPluginSourceFiles(String pluginsDirPath)`
`static String` | `getPluginVersion(Class clazz)`
`static Resource[]` | `getPluginXmlMetadata(String pluginsDirPath)`
`Object` | `getProperty(String property)`
`static PluginInfo[]` | `getSupportedPluginInfos()`
`static PluginInfo[]` | `getSupportedPluginInfos(String pluginDirPath)`
`static String` | `getUpperVersion(String pluginVersion)`
`static String` | `getWILDCARD()`
`Object` | `invokeMethod(String method, Object arguments)`
`static boolean` | `isGlobalPluginLocation(Resource pluginDir)`
`static boolean` | `isValidVersion(String pluginVersion, String requiredVersion)`
`static PluginBuildSettings` | `newPluginBuildSettings()`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`static Object` | `setPluginBuildSettings(PluginBuildSettings settings)`
`void` | `setProperty(String property, Object value)`
`static boolean` | `supportsAtLeastVersion(String pluginVersion, String requiredVersion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRAILS_HOME

    public static Object GRAILS_HOME

Constructor Detail

### GrailsPluginUtils

    public GrailsPluginUtils()

Method Detail

### getWILDCARD

    public static String getWILDCARD()

### getPluginName

    public static String getPluginName(Class clazz)

### getPluginVersion

    public static String getPluginVersion(Class clazz)

### isValidVersion

    public static boolean isValidVersion(String pluginVersion,
                                         String requiredVersion)

### getUpperVersion

    public static String getUpperVersion(String pluginVersion)

### getLowerVersion

    public static String getLowerVersion(String pluginVersion)

### supportsAtLeastVersion

    public static boolean supportsAtLeastVersion(String pluginVersion,
                                                 String requiredVersion)

### newPluginBuildSettings

    public static PluginBuildSettings newPluginBuildSettings()

### getPluginBuildSettings

    public static PluginBuildSettings getPluginBuildSettings()

### setPluginBuildSettings

    public static Object setPluginBuildSettings(PluginBuildSettings settings)

### getPluginInfos

    public static PluginInfo[] getPluginInfos(String pluginDirPath)

### getSupportedPluginInfos

    public static PluginInfo[] getSupportedPluginInfos(String pluginDirPath)

### getPluginBaseDirectories

    public static List<String> getPluginBaseDirectories(String pluginDirPath)

### getPluginBaseDirectories

    public static List<String> getPluginBaseDirectories()

### getPluginDirectories

    public static Resource[] getPluginDirectories()

### getPluginDirectories

    public static Resource[] getPluginDirectories(String pluginDirPath)

### getImplicitPluginDirectories

    public static List<Resource> getImplicitPluginDirectories(String pluginDirPath)

### isGlobalPluginLocation

    public static boolean isGlobalPluginLocation(Resource pluginDir)

### getArtefactResources

    public static Resource[] getArtefactResources(String basedir)

### getArtefactResourcesForOne

    public static Resource[] getArtefactResourcesForOne(String projectDir)

### getPluginXmlMetadata

    public static Resource[] getPluginXmlMetadata(String pluginsDirPath)

### getAvailableScripts

    public static Resource[] getAvailableScripts(String grailsHome,
                                                 String pluginDirPath,
                                                 String basedir)

### getPluginScripts

    public static Resource[] getPluginScripts(String pluginDirPath)

### getPluginResourceBundles

    public static Resource[] getPluginResourceBundles(String pluginDirPath)

### getPluginSourceFiles

    public static Resource[] getPluginSourceFiles(String pluginsDirPath)

### getPluginJarFiles

    public static Resource[] getPluginJarFiles(String pluginsDirPath)

### getPluginDescriptors

    public static Resource[] getPluginDescriptors(String basedir,
                                                  String pluginsDirPath)

### getBasePluginDescriptor

    public static Resource getBasePluginDescriptor(String basedir)

### getDescriptorForPlugin

    public static Resource getDescriptorForPlugin(Resource pluginDir)

### getPluginLibDirectories

    public static Resource[] getPluginLibDirectories(String pluginsDirPath)

### getPluginI18nDirectories

    public static Resource[] getPluginI18nDirectories(String pluginsDirPath)

### getGlobalPluginsPath

    public static String getGlobalPluginsPath()

### getPluginDirForName

    public static Resource getPluginDirForName(String pluginName)

### getMetadataForPlugin

    public static groovy.util.slurpersupport.GPathResult getMetadataForPlugin(String pluginName)

### getMetadataForPlugin

    public static groovy.util.slurpersupport.GPathResult getMetadataForPlugin(Resource pluginDir)

### getPluginDirForName

    public static Resource getPluginDirForName(String pluginsDirPath,
                                               String pluginName)

### clearCaches

    public static Object clearCaches()

### getPluginInfos

    public static PluginInfo[] getPluginInfos()

### getSupportedPluginInfos

    public static PluginInfo[] getSupportedPluginInfos()

### getImplicitPluginDirectories

    public static List<Resource> getImplicitPluginDirectories()

### getPluginI18nDirectories

    public static Resource[] getPluginI18nDirectories()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project